<template>
  <v-card
    width="120"
    height="120"
    class="type-chart-container"
    @click="$emit('onClickType', type)"
  >
    <v-row>
      <v-col class="d-flex justify-center align-center pb-0 mt-2">
        <v-img :src="img" width="80" height="80"></v-img>
      </v-col>
    </v-row>
    <v-row>
      <v-col class="d-flex justify-center align-center pb-0 pt-0">
        <span class="title-container">{{ title }}</span>
      </v-col>
    </v-row>
  </v-card>
</template>


<script>
export default {
  name: "TypeChart",
  emits: ["onClickType"],
  props: {
    icon: String,
    title: String,
    type: String,
    img: String,
  },
};
</script>

<style scoped>
.title-container {
  color: #7f7c7c;
  font-weight: 600;
}
.type-chart-container {
  cursor: pointer;
}
</style>